function f = takealook(N,T,x,sigma,fun)
% take a look
k=length(x); x1=x(1); x2=x(k); dx=x(2)-x(1);
a = kron(unifrnd(x1,x2,N,1),ones(T,1));
X = unifrnd(x1,x2,N*T,1);
Y = a + feval(fun,X) + sigma*randn(N*T,1);

h = fdllh(Y,X,N,x);
f = fdll(Y,X,N,x,h);
f = f - trapz(f)*dx/(x2-x1);






